Create an AI Teammate
POST
/api/v1/teammatesRequires an Organization API key with the edit capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/teammates" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "organizationId": "string", "runtimeConfig": { "mcpServerIds": [ "string" ], "harness": { "kind": "ciele" }, "internet": true, "computer": { "browser": true, "files": true, "terminal": true } }, "name": "string", "title": "string", "roleDescription": "string", "avatarSeed": "string", "ownerId": "string", "editorIds": [ "string" ], "visibility": "org", "collectionIds": [ "string" ], "sourceIds": [ "string" ], "modelProvider": "anthropic", "modelId": "string", "modelSource": null, "allowedModels": [ { "provider": "anthropic", "modelId": "string", "source": "api_key" } ], "systemKind": null, "assistantId": null, "actionCeiling": "member", "approvalBypass": true, "projectId": null, "deletedAt": null, "createdAt": "string", "updatedAt": "string"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}